Author Topic: Daily build from 2016-06-12 - no Max 2014 version?  (Read 5168 times)

2016-06-16, 14:59:25

loocas

  • Active Users
  • **
  • Posts: 90
    • View Profile
Hi,

when I use the 2013 plugins in Max 2014 I'm getting a "Procedure couldn't be found" error on startup.

Is there anything special needed for Max 2014 to get Corona working? I thought Max 2013 and 2014 shared the same SDK version, no?

Thanks in advance.

2016-06-16, 15:13:08
Reply #1

maru

  • Corona Team
  • Active Users
  • ****
  • Posts: 9036
  • Marcin
    • View Profile
Do you have the official 1.4 installed?
Have you tried using the 2015 files? I do not remember which ones could be swapped...

2016-06-16, 16:46:32
Reply #2

PROH

  • Active Users
  • **
  • Posts: 996
    • View Profile
Hi. For max2014 you shall use the 2013 package. I copy and rename the two files that goes into the plugin folder from 2013 to 2014. This step is not absolutely needed, but I think it makes it easier and avoids mistakes.

Hope it helps

2016-06-16, 16:50:33
Reply #3

loocas

  • Active Users
  • **
  • Posts: 90
    • View Profile
Well, renaming the files does absolutely nothing.

And I'm still getting the start up error.

I used to do this regularly without any issues. Just copy over the dlls and the 2013 plugins and be done with it. But this build is giving me errors.

2016-06-16, 16:54:41
Reply #4

maru

  • Corona Team
  • Active Users
  • ****
  • Posts: 9036
  • Marcin
    • View Profile
Maybe this build is somehow different? Does it work ok if you use 2013 files in your 2014 Max from the 1.4 version?

2016-06-16, 17:12:47
Reply #5

Frood

  • Active Users
  • **
  • Posts: 1298
    • View Profile
    • Rakete GmbH
And I'm still getting the start up error.

There have been a lot issues like this recently - most if not all were solved by applying all pending windows updates.

Good Luck


Never underestimate the power of a well placed level one spell.

2016-06-16, 17:15:44
Reply #6

loocas

  • Active Users
  • **
  • Posts: 90
    • View Profile
Thank you, but I will be not applying pending windows updates. I'd rather use 3ds Max 8 and Scanline. :)

2016-06-16, 17:27:31
Reply #7

Frood

  • Active Users
  • **
  • Posts: 1298
    • View Profile
    • Rakete GmbH
Thank you, but I will be not applying pending windows updates. I'd rather use 3ds Max 8 and Scanline. :)

If it´s Win7, I have a script residing on a server here to remove those specific "updates" you (really, really) don´t want to have (and hide them in the wu-applet) if necessary. Alternatively you can go through the list of updates manually and check each entry. It has to be some runtime lib update missing and you can ignore the others maybe.

Good Luck

Never underestimate the power of a well placed level one spell.

2016-06-16, 17:32:24
Reply #8

maru

  • Corona Team
  • Active Users
  • ****
  • Posts: 9036
  • Marcin
    • View Profile
There have been a lot issues like this recently - most if not all were solved by applying all pending windows updates.
There have been a lot of "error code 126 module not found" vs "127 procedure not found" here. The first one means that some shit is fucked, while the latter means that some shit is mixed up.

2016-06-16, 17:58:34
Reply #9

PROH

  • Active Users
  • **
  • Posts: 996
    • View Profile
You didn't tell if you did install v1,4 before updating with 1,5 daily builds? If not then:

- first use the 1,4 installer to uninstall all
- check if any 2013 are left in the plugin folder (that why I rename them)
- use the 1,4 installer to install v1,4
- open Max and run corona
- close Max and install manually v1,5 daily

Does it work now?

2016-06-16, 18:03:23
Reply #10

loocas

  • Active Users
  • **
  • Posts: 90
    • View Profile
I did install (deployment copied) 1.4 which works without issues.

The VC redistributables are all installed.

I have a custom plugin structure and I only load what I need, so I don't need to uninstall anything. So far, everything has worked without issues.

copying over the 1.5 daily builds doesn't work, I end up with this exact error.

2016-06-16, 19:15:42
Reply #11

PROH

  • Active Users
  • **
  • Posts: 996
    • View Profile
If you doesn't rename the files for the plugin folder, then you're not "copying over". And then you got a mix-error.

2016-06-16, 22:22:13
Reply #12

loocas

  • Active Users
  • **
  • Posts: 90
    • View Profile
If you doesn't rename the files for the plugin folder, then you're not "copying over". And then you got a mix-error.

I keep the DLLs and the plugin files in separate (versioned) directories which I source on startup. This setup has always worked. Doesn't work now.

2016-06-20, 13:49:06
Reply #13

Ondra

  • Administrator
  • Active Users
  • *****
  • Posts: 8892
  • Turning coffee to features since 2009
    • View Profile
I did install (deployment copied) 1.4 which works without issues.

The VC redistributables are all installed.

I have a custom plugin structure and I only load what I need, so I don't need to uninstall anything. So far, everything has worked without issues.

copying over the 1.5 daily builds doesn't work, I end up with this exact error.

if 1.4 works, then it is a mismatch between Corona_Release or CoronaLib_release and Corona201x.dlr/dlt; doublecheck that. 2013 plugins can still be loaded into max 2014 and we did not change any CRT/windows components dependencies after 1.4.
Rendering is magic.
Private scene uploader | How to get minidumps for crashed/frozen 3ds Max | Sorry for short replies, brief responses = more time to develop Corona ;)

2016-06-20, 16:19:22
Reply #14

loocas

  • Active Users
  • **
  • Posts: 90
    • View Profile
So, what am I supposed to do?

I downloaded the daily build. Copied the 2013 plugins to my custom folder structure for Max, the DLLs that came with the daily build into my DLL repo, where other Corona DLLs reside as well and overwrote those with the same name.

That's it. But then I get this error.

1.4, I installed the very same way and works absolutely fine without any issues.